{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.developpement-java {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Java
    maven
    openjdk
  ];
  environment.variables = {
    JAVA_HOME = "${pkgs.openjdk}";
  };
}
